Index: apps/app_mixmonitor.c
===================================================================
--- apps/app_mixmonitor.c	(revision 370975)
+++ apps/app_mixmonitor.c	(working copy)
@@ -594,6 +594,7 @@
 	unsigned int oflags;
 	int errflag = 0;
 	struct ast_format format_slin;
+	int wrotesomething = 0;
 
 	/* Keep callid association before any log messages */
 	if (mixmonitor->callid) {
@@ -647,6 +648,7 @@
 				for (cur = fr_read; cur; cur = AST_LIST_NEXT(cur, frame_list)) {
 					ast_writestream(*fs_read, cur);
 				}
+				wrotesomething = 1;
 			}
 
 			if ((*fs_write) && (fr_write)) {
@@ -655,6 +657,7 @@
 				for (cur = fr_write; cur; cur = AST_LIST_NEXT(cur, frame_list)) {
 					ast_writestream(*fs_write, cur);
 				}
+				wrotesomething = 1;
 			}
 
 			if ((*fs) && (fr)) {
@@ -663,6 +666,7 @@
 				for (cur = fr; cur; cur = AST_LIST_NEXT(cur, frame_list)) {
 					ast_writestream(*fs, cur);
 				}
+				wrotesomething = 1;
 			}
 			ast_mutex_unlock(&mixmonitor->mixmonitor_ds->lock);
 		}
@@ -725,6 +729,11 @@
 		ast_debug(3, "No recipients to forward monitor to, moving on.\n");
 	}
 
+	if(!wrotesomething) {
+		ast_verb(2, "Nothing was written to audio file.  Deleting file '%s' since it is empty.\n", mixmonitor->filename);
+		ast_filedelete(mixmonitor->filename, NULL);
+	}
+
 	mixmonitor_free(mixmonitor);
 	return NULL;
 }
